Revoke Agent Secret

Revoke Agent Secret
Revoke agent secret

Revokes an existing agent secret, making it immediately invalid for authentication. Any agents configured to use this secret will no longer be able to authenticate with the system.

This action cannot be undone - to restore access, a new secret must be created.

This action does not invalidate any previously created token.

Request
URI
POST
https://{api_host}/api/v2/agent/secrets/{secretName}/revoke
COPY
Path Parameters
string
secretName
Required

secretName


Authentication
This operation uses the following authentication methods.
Responses
200

Successfully revoked

Returns AgentSecretRevokeResponse of type(s) application/json
{
    "id": "string",
    "name": "string",
    "status": "string"
}
string
id
Optional

id

string
name
Optional

name

string
status
Optional

status


400

Bad request: Invalid input data

Returns ErrorBody of type(s) application/json
{
    "errorCode": "string",
    "errorDetails": {},
    "errorMessage": "string"
}
string
errorCode
Optional

errorCode

Possible values are : API_ERROR, LIMIT_ERROR, FIELD_ERROR, TEST_ERROR, JSON_FORMAT_ERROR, LICENSE_ERROR, VSPHERE_INTEGRATION_ERROR, VROPS_INTEGRATION_ERROR, UPGRADE_ERROR, SEARCH_ERROR, AGENT_ERROR, RBAC_COMMON_ERROR, RBAC_USERS_ERROR, RBAC_GROUPS_ERROR, RBAC_ADGROUPS_ERROR, RBAC_DATASETS_ERROR, RBAC_VIDM_GROUPS_ERROR, RBAC_VIDB_GROUPS_ERROR, AUTH_PROVIDER_ERROR, SECURITY_ERROR, DEPLOYMENT_ERROR, SUPPORT_BUNDLE_ERROR, VIP_ERROR, LOAD_BALANCER_ERROR, VIDM_ERROR, VIDB_ERROR, AD_ERROR, WEBHOOK_ERROR, WEB_PROXY_ERROR, SMTP_ERROR, QUERY_ERROR, CERTIFICATE_PEM_FORMAT_ERROR, CERTIFICATE_FILE_INVALID, CERTIFICATE_UPDATE_ERROR, NSX_INTEGRATION_ERROR, NSX_MANAGER_CONNECTIVITY_ERROR, NO_CONFIGURATION_ERROR, SSL_ERROR, CERTIFICATE_PURPOSE_ERROR, VCF_CAPABILITIES_REGISTRY_ERROR, VALIDATION_ERROR, INTERNAL_SERVER_ERROR, UNPROCESSABLE_ENTITY, RESOURCE_EXHAUSTED,
object
errorDetails
Optional

errorDetails

string
errorMessage
Optional

errorMessage


403

Forbidden: Authorization required

Returns ErrorBody of type(s) application/json
{
    "errorCode": "string",
    "errorDetails": {},
    "errorMessage": "string"
}
string
errorCode
Optional

errorCode

Possible values are : API_ERROR, LIMIT_ERROR, FIELD_ERROR, TEST_ERROR, JSON_FORMAT_ERROR, LICENSE_ERROR, VSPHERE_INTEGRATION_ERROR, VROPS_INTEGRATION_ERROR, UPGRADE_ERROR, SEARCH_ERROR, AGENT_ERROR, RBAC_COMMON_ERROR, RBAC_USERS_ERROR, RBAC_GROUPS_ERROR, RBAC_ADGROUPS_ERROR, RBAC_DATASETS_ERROR, RBAC_VIDM_GROUPS_ERROR, RBAC_VIDB_GROUPS_ERROR, AUTH_PROVIDER_ERROR, SECURITY_ERROR, DEPLOYMENT_ERROR, SUPPORT_BUNDLE_ERROR, VIP_ERROR, LOAD_BALANCER_ERROR, VIDM_ERROR, VIDB_ERROR, AD_ERROR, WEBHOOK_ERROR, WEB_PROXY_ERROR, SMTP_ERROR, QUERY_ERROR, CERTIFICATE_PEM_FORMAT_ERROR, CERTIFICATE_FILE_INVALID, CERTIFICATE_UPDATE_ERROR, NSX_INTEGRATION_ERROR, NSX_MANAGER_CONNECTIVITY_ERROR, NO_CONFIGURATION_ERROR, SSL_ERROR, CERTIFICATE_PURPOSE_ERROR, VCF_CAPABILITIES_REGISTRY_ERROR, VALIDATION_ERROR, INTERNAL_SERVER_ERROR, UNPROCESSABLE_ENTITY, RESOURCE_EXHAUSTED,
object
errorDetails
Optional

errorDetails

string
errorMessage
Optional

errorMessage


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' https://{api_host}/api/v2/agent/secrets/{secretName}/revoke